import request from '@/utils/request'

/**
 * 会费缴交列表
 * @param {Object} data 参数
 */
export function list() {
	return request({
		'url': '/cost/list',
		headers: {
			isToken: true
		},
		'method': 'get',
		'data': null
	})
}

/**
 * 个人会费代缴查询
 * @param {Object} data 参数
 */
export function person(data) {
	return request({
		'url': '/cost/person',
		headers: {
			isToken: true
		},
		'method': 'post',
		'data': data
	})
}

/**
 * 个人会费支付
 * @param {Object} data 参数
 */
export function personPayment(data) {
	return request({
		'url': '/cost/person/payment',
		headers: {
			isToken: true
		},
		'method': 'post',
		'data': data
	})
}

/**
 * 单位会费代缴查询
 * @param {Object} data 参数
 */
export function dept(data) {
	return request({
		'url': '/cost/dept',
		headers: {
			isToken: true
		},
		'method': 'post',
		'data': data
	})
}

/**
 * 单位会费支付
 * @param {Object} data 参数
 */
export function deptPayment(data) {
	return request({
		'url': '/cost/dept/payment',
		headers: {
			isToken: true
		},
		'method': 'post',
		'data': data
	})
}